Summary:	Allow GTK to use KDE4 widget styles
Name:		gtk-kde4
Version:	0.9.4
Release:	%mkrel 5
Source0:	%{name}-%{version}.tar.xz
Patch1:		fonts.patch
License:	GPLv2+
Group:		Graphical desktop/KDE4
URL:		http://kde-apps.org/content/show.php/gtk-kde4?content=74689
BuildRequires:	gtk2-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	kde4-macros
BuildRequires:	cmake
BuildRequires:	bonoboui-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	gtk-qt-engine
Conflicts:	gtk-oxygen-molecule

%description
This app give you ability to change appearance of GTK
applications in KDE4. For this purpose you may use GTK
stuff, or your current KDE stuff: widget styles, icons and
fonts. GTK-KDE4 can help you unify Qt and GTK+ apps appearance.
More info and installation instructions can be found in Readme
files inside archives. 


%prep
%setup -q -n gtk-kde4
%patch1 -p0

%build
%cmake_kde4
make


%install
rm -rf %{buildroot}
make -C build DESTDIR=%buildroot install


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
/etc/xdg/autostart/gtk-kde4.desktop
/root/.gtkrc-2.0-kde4
%_bindir/gtk-kde4
%_libdir/kde4/kcm_gk4.so
%_datadir/icons/gk4ico/index.theme
%_datadir/icons/gk4icon.png
%_datadir/kde4/services/kcm_gk4.desktop
%_datadir/themes/qt4/gtk-2.0
%_datadir/themes/qt4/index.theme
%_datadir/themes/qt4/metacity-1/*.png
%_datadir/themes/qt4/metacity-1/metacity-theme-1.xml


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Tue Dec 14 2010 Texstar <texstar at gmail.com> 0.9.4-4pclos2010
- add conflicts

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.9.4-3pclos2010
- rebuild for 4.5.1

* Fri Aug 20 2010 Texstar <texstar at gmail.com> 0.9.4-2pclos2010
- rebuild for 4.5.0

* Fri May 28 2010 Texstar <texstar at gmail.com> 0.9.4-1pclos2010
- initial package


